$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.40.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.40.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '2DE9ED43A41E9A63561B00C04083C6688CA853F328B39DCFB9DB49777D8D9AF9'
  checksumType = 'sha256'
  checksum64 = '2DE9ED43A41E9A63561B00C04083C6688CA853F328B39DCFB9DB49777D8D9AF9'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.40-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
